/*
  Java gfx-test framework

   Copyright (C) 2010, 2011  Red Hat

This file is part of IcedTea.

IcedTea is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

IcedTea is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with IcedTea; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version.
*/

package org.gfxtest.framework;

public class EntityRenderingStyle
{
    private int cap;
    private int join;
    private float width;
    private float scale;
    private float[] dash;
    private int arcWidth;
    private int arcHeight;
    private boolean raised;
    private float eccentricity;

    public EntityRenderingStyle(int cap, int join, float width, float scale, float dash1, float dash2, int arcWidth, int arcHeight, boolean raised, float eccentricity)
    {
        this.cap = cap;
        this.join = join;
        this.width = width;
        this.scale = scale;
        this.dash = new float[] {dash1, dash2};
        this.arcWidth = arcWidth;
        this.arcHeight = arcHeight;
        this.raised = raised;
        this.eccentricity = eccentricity;
    }

    public int getCap()
    {
        return this.cap;
    }

    public int getJoin()
    {
        return this.join;
    }

    public float getWidth()
    {
        return this.width;
    }

    public float getScale()
    {
        return this.scale;
    }

    public float[] getDash()
    {
        return this.dash == null ? null : (float[]) this.dash.clone();
    }

    public int getArcWidth()
    {
        return this.arcWidth;
    }

    public int getArcHeight()
    {
        return this.arcHeight;
    }

    public boolean isRaised()
    {
        return this.raised;
    }

    public float getEccentricity()
    {
        return this.eccentricity;
    }
}
